Package org.mariadb.jdbc.util.constants

## Class StateChange

- java.lang.Object
- - org.mariadb.jdbc.util.constants.StateChange

    public final class StateChange
    extends Object

### Field Summary

Fields
`static short` `SESSION_TRACK_GTIDS`
`static short` `SESSION_TRACK_SCHEMA`
`static short` `SESSION_TRACK_STATE_CHANGE`
`static short` `SESSION_TRACK_SYSTEM_VARIABLES`
`static short` `SESSION_TRACK_TRANSACTION_CHARACTERISTICS`
`static short` `SESSION_TRACK_TRANSACTION_STATE`

### Constructor Summary

Constructors
`StateChange()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SESSION_TRACK_SYSTEM_VARIABLES

    public static final short SESSION_TRACK_SYSTEM_VARIABLES

See Also:
  Constant Field Values

#### SESSION_TRACK_SCHEMA

    public static final short SESSION_TRACK_SCHEMA

See Also:
  Constant Field Values

#### SESSION_TRACK_STATE_CHANGE

    public static final short SESSION_TRACK_STATE_CHANGE

See Also:
  Constant Field Values

#### SESSION_TRACK_GTIDS

    public static final short SESSION_TRACK_GTIDS

See Also:
  Constant Field Values

#### SESSION_TRACK_TRANSACTION_CHARACTERISTICS

    public static final short SESSION_TRACK_TRANSACTION_CHARACTERISTICS

See Also:
  Constant Field Values

#### SESSION_TRACK_TRANSACTION_STATE

    public static final short SESSION_TRACK_TRANSACTION_STATE

See Also:
  Constant Field Values

### Constructor Detail

#### StateChange

    public StateChange()